- Main Page
- Namespaces
- Classes
- Files
- Examples

- File List
- File Members

# sonymn.hpp File Reference

Basic Sony MakerNote implementation. More...

`#include "types.hpp"`
`#include "makernote.hpp"`
`#include "tags.hpp"`
`#include <string>`
`#include <iosfwd>`
`#include <memory>`

Include dependency graph for sonymn.hpp:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | Exiv2
## Classes
class | Exiv2::SonyMakerNote
| MakerNote for Sony cameras. More...
## Functions
MakerNote::AutoPtr | Exiv2::createSonyMakerNote (bool alloc, const byte *buf, long len, ByteOrder byteOrder, long offset)
| Return an auto-pointer to a newly created empty MakerNote initialized to operate in the memory management model indicated. The caller owns this copy and the auto-pointer ensures that it will be deleted.

## Detailed Description

Basic Sony MakerNote implementation.

Version:
  Rev
    669

Author:
  Andreas Huggel (ahu) ahuggel@gmx.net

Date:
  18-Apr-05, ahu: created